Skip to navigation

Create eSignature user

View as Markdown

Creates a new eSignature user and automatically activates the user’s account.

Required authentication scopes: user_write.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid

Request

This endpoint expects an object: request

accountslist of objectsRequired
A list of accounts the user will belong to.
emailstringRequired
The email address.
user_namestringOptional
The full name of the user.
first_namestringOptional
The user's first name.
last_namestringOptional
The user's last name.
default_account_idstringOptionalformat: "uuid"
The account ID of the user's default account.
language_culturestringOptional

The language and culture of the user.

  • Chinese Simplified: zh_CN
  • Chinese Traditional: zh_TW
  • Dutch: nl
  • English: en
  • French: fr
  • German: de
  • Italian: it
  • Japanese: ja
  • Korean: ko
  • Portuguese: pt
  • Portuguese Brazil: pt_BR
  • Russian: ru
  • Spanish: es
selected_languagesstringOptional
access_codestringOptional
The access code that the user needs to activate an account.
federated_statusstringOptional

The user’s federated status. One of:

  • RemoveStatus
  • FedAuthRequired
  • FedAuthBypass
  • Evicted
auto_activate_membershipsbooleanOptional

When true, the user’s account is activated automatically.

Response

OK
idstringOptionalformat: "uuid"
The ID of the added user
site_idintegerOptional
The site ID of the added user.
user_namestringOptional
The full name of the user.
first_namestringOptional
The user's first name.
last_namestringOptional
The user's last name.
emailstringOptional
The primary email address of the user.
language_culturestringOptional

The language and culture of the user.

  • Chinese Simplified: zh_CN
  • Chinese Traditional: zh_TW
  • Dutch: nl
  • English: en
  • French: fr
  • German: de
  • Italian: it
  • Japanese: ja
  • Korean: ko
  • Portuguese: pt
  • Portuguese Brazil: pt_BR
  • Russian: ru
  • Spanish: es
federated_statusstringOptional

The user’s federated status. One of:

  • RemoveStatus
  • FedAuthRequired
  • FedAuthBypass
  • Evicted
accountslist of objectsOptional
A list of accounts the user belongs to.